self-check-report.sh fails on armhf/disco, was set to skip as an ubuntu delta without explanation

Bug #1812688 reported by Sebastien Bacher on 2019-01-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
automake-1.16 (Ubuntu)
Status tracked in Eoan
Eoan
High
Unassigned

Bug Description

Unsure if that's a coincidence but it started failing with the new year, that blocks other packages in proposed
http://autopkgtest.ubuntu.com/packages/a/automake-1.16/disco/armhf

The test was marked to skip without any explanation at a cost of a delta with Debian, a patch was also added and commented out from the serie but let as cruft delta, those things should probably be sorted out

Matthias Klose (doko) wrote :

FAIL: t/self-check-report
=========================

Running from installcheck: no
Test Protocol: none
PATH = /tmp/autopkgtest.0e7Ccl/build.LHG/src/bin:/tmp/autopkgtest.0e7Ccl/build.LHG/src/t/ax:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sb
in:/bin:/usr/games:/usr/local/games
++ pwd
/tmp/autopkgtest.0e7Ccl/build.LHG/src/t/self-check-report.dir
+ set +e
+ exec
+ grep '^foobar$'
foobar
+ fail_ foo
+ warn_ 'self-check-report: failed test: foo'
+ echo 'self-check-report: failed test: foo'
self-check-report: failed test: foo
+ _am_exit 1
+ set +e
+ test 77 = 1
+ exit 1
+ exit 1
+ test 1 -eq 1
+ grep '^self-check-report: failed test: foo'
self-check-report: failed test: foo
+ skip_ foo
+ warn_ 'self-check-report: skipped test: foo'
+ echo 'self-check-report: skipped test: foo'
self-check-report: skipped test: foo
+ _am_exit 77
+ set +e
+ test 77 = 77
+ am__test_skipped=yes
+ exit 77
+ exit 77
+ test 77 -eq 77
+ grep '^self-check-report: skipped test: foo'
self-check-report: skipped test: foo
+ fatal_ foo
+ warn_ 'self-check-report: hard error: foo'
+ echo 'self-check-report: hard error: foo'
self-check-report: hard error: foo
+ _am_exit 99
+ set +e
+ test 77 = 99
+ exit 99
+ exit 99
+ test 99 -eq 99
+ grep '^self-check-report: hard error: foo'
self-check-report: hard error: foo
+ framework_failure_ foo
+ warn_ 'self-check-report: set-up failure: foo'
+ echo 'self-check-report: set-up failure: foo'
self-check-report: set-up failure: foo
+ _am_exit 99
+ set +e
+ test 77 = 99
+ exit 99
+ exit 99
+ test 99 -eq 99
+ grep '^self-check-report: set-up failure: foo'
self-check-report: set-up failure: foo
+ stderr_fileno_=6
+ grep '^foobar$'
+ warn_ foobar
+ echo foobar
foobar
+ fail_ foo
+ warn_ 'self-check-report: failed test: foo'
+ echo 'self-check-report: failed test: foo'
+ test 141 -eq 1
+ _am_exit 1
+ set +e
+ test 77 = 1
+ exit 1
+ exit 1
+ am_exit_trap 1
+ exit_status=1
+ set +e
+ cd /tmp/autopkgtest.0e7Ccl/build.LHG/src
+ test none = tap
+ case $am_explicit_skips in
+ test 1 -eq 0
+ keep_testdirs=yes
+ am_keeping_testdirs
+ case $keep_testdirs in
+ return 0
+ set +x
FAIL t/self-check-report.sh (exit status: 1)

Brian Murray (brian-murray) wrote :

The test is marked as failing but we shouldn't close the bug task for that.

Changed in automake-1.16 (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Steve Langasek (vorlon) wrote :

this appears to have been fixed in a new Ubuntu upload of automake-1.16.

Changed in automake-1.16 (Ubuntu):
status: Confirmed → Fix Released
Changed in automake-1.16 (Ubuntu):
status: Fix Released → Confirmed
description: updated
summary: - self-check-report.sh fails on armhf/disco since new year
+ self-check-report.sh fails on armhf/disco, was set to skip as an ubuntu
+ delta without explanation
Steve Langasek (vorlon) on 2019-04-04
tags: removed: rls-dd-incoming
tags: added: rls-ee-incoming
tags: removed: rls-ee-incoming
tags: added: id-5ccb121e16849307f34033b7
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers